from krita import Krita, Extension
import gmic

EXTENSION_ID = 'pykrita_comicify'
MENU_ENTRY = 'Comicify'


class Comicify(Extension):

    def __init__(self, parent):
        # Always initialise the superclass.
        # This is necessary to create the underlying C++ object
        super().__init__(parent)

    def setup(self):
        pass

    def createActions(self, window):
        action = window.createAction(EXTENSION_ID, MENU_ENTRY, "tools/scripts")
        # parameter 1 = the name that Krita uses to identify the action
        # parameter 2 = the text to be added to the menu entry for this script
        # parameter 3 = location of menu entry
        action.triggered.connect(self.action_triggered)

    def action_triggered(self):
        print(dir(gmic))

        app = Krita.instance()
        doc = app.activeDoc()
        sourceLayer = doc.activeNode()
        sourceLayer.setName("original")
        bounds = sourceLayer.bounds()
        width = bounds.width()
        height = bounds.height()

        # Duplicate active layer
        sketchLayer = sourceLayer.duplicate()
        sketchLayer.setName("sketch")
        sketchData = sketchLayer.pixelData(0, 0, width, height)


# Add the extension to Krita's list of extensions:
Krita.instance().addExtension(Comicify(Krita.instance()))
